#include <RCSwitch.h>
RCSwitch rcSwitch = RCSwitch();

const int btnUp = 13; //Taster auf PIN 13
int statusBtn = 0;

const int senderPin = 15;  // An Pin 15
const int protocol = 1;
const int pulseLength = 358;
const int wait = 450;

void setup() {
  Serial.begin(9600);
  rcSwitch.enableTransmit(senderPin);
  rcSwitch.setPulseLength(pulseLength);
  rcSwitch.setProtocol(protocol);

  pinMode(btnUp,INPUT); //Setzen des Eingangssignals des Tasters
}

void loop() {
  int btnStatus = digitalRead(btnUp); //Lesen des Status des Tasters.
  if(btnStatus == HIGH){
    statusBtn = statusBtn ==HIGH?LOW:HIGH;
    
    //Wenn der Taster auf HIGH ist dann die Funksteckdose EIN schalten.
    if(statusBtn == HIGH){ 
      rcSwitch.send("000000010100010001010101"); 
    } else {
      rcSwitch.send("000000010100010001010100"); 
    }
  }
}
